Package: surefire / 2.17-3

Metadata

Package Version Patches format
surefire 2.17-3 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
pom.patch | (download)

pom.xml | 14 4 + 10 - 0 !
1 file changed, 4 insertions(+), 10 deletions(-)

 disable maven artifacts not available in debian
fix junit provider selection.patch | (download)

maven-surefire-common/src/main/java/org/apache/maven/plugin/surefire/AbstractSurefireMojo.java | 6 4 + 2 - 0 !
1 file changed, 4 insertions(+), 2 deletions(-)

 surefire can't correctly detect the 4.x version of
 JUnit that is present in the Debian Maven Repository.
 .
 This patch corrects that - its safe to assume that its greater
 than 4.7 as sid contains 4.8.2. The JUnit4Provider should
 never get selected due to the way these two checks are combined.
bypass testng version check.patch | (download)

maven-surefire-common/src/main/java/org/apache/maven/plugin/surefire/AbstractSurefireMojo.java | 12 1 + 11 - 0 !
1 file changed, 1 insertion(+), 11 deletions(-)

 bypass the verification of the version of testng since it doesn't
 work with the modified version installed in Debian. TestNG in Debian has
 always been above the minimum version required by Surefire anyway.